// This program is designed for ADUC_MT7020 board
// It shows how to work with LCD display and buttons

#include <ioaduc7020.h>
#include "system.h"
#include "lcd.h"

#define BUT1  GP0DAT & 0x00000010
#define	BUT2  GP0DAT & 0x00000020


int main()
{
  // Init frequency
  InitFreq();
  // LCD init
  LCDInit();                    //LCD Initialization
  LCDSendCommand(DISP_ON);      //LCD on
  LCDSendCommand(CLR_DISP);     //LCD clear
  LCDSendCommand(DD_RAM_ADDR);  //LCD set first row


  // Write to LCD
  LCDSendTxt(" www.olimex.com ");

  // loop forever
  while(1) {
        //check that Button 1 is pressed
    if(!(BUT1)) {
      LCDSendCommand(DD_RAM_ADDR2);   // LCD set second row
      LCDSendTxt("  You press B1");     // write to LCD
    }



    //check that Button 2 is pressed
    if(!(BUT2)) {
      LCDSendCommand(DD_RAM_ADDR2);   // LCD set second row
      LCDSendTxt("  You press B2");     // write to LCD
    }


  }

}
